<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Unità misura</title>
    <!-- Foglio di stile interno -->
    <style>
        .box {
            background-color: black;
            display: inline-block;
            color: white;
            padding: 10px;
            width: 100px;
            height: 100px;
            margin: 10px;
            border:5px solid red;
            vertical-align: top;
        }

        .cm {
            width: 3cm;
            height: 3cm;
        }

        .em {
            width: 3em;
            height: 3em;
        }

        .vw {
            width: 3vw;
            height: 3vw;
        }

        .percentage {
            width: 10%;
            height: 10%;
        }
        .container {
            width:200px;
            height:200px;
            border:1px solid red;
            display: inline-block;
        }
        .border-box {
            box-sizing: border-box;
        }
        .dimension {
            min-width:300px;
            max-width:600px;
            width:50%;
        }
    </style>
</head>

<body>
    <h1>Unità di misura</h1>
    <h2>Box con larghezza al 50%, minima di 300px e massima di 600px</h2>
    <div class="box dimension">
        BOX
    </div>
    <hr>
    <h2>Box con differenti unità di misura assolute e relative (provare a fare il resize della finestra)</h2>
    <h3>box-sizing: content-box</h3>
    <div class="box">100px</div>
    <div class="box cm">3cm</div>
    <div class="box em">3em</div>
    <div class="container">
        <div class="box vw">3vw</div>
        <div class="box percentage">10%</div>
    </div>
    <hr>
    <h3>box-sizing: border-box</h3>
    <div class="box border-box">100px</div>
    <div class="box border-box cm">3cm</div>
    <div class="box border-box em">3em</div>
    <div class="container">
        <div class="box border-box vw">3vw</div>
        <div class="box border-box percentage">%</div>
    </div>
</body>

</html>